View Issue Details

IDProjectCategoryView StatusLast Update
0022583mantisbtattachmentspublic2017-04-01 00:13
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.2.2 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022583: Open PDFs in the browser rather than downloading them
Description

When a user clicks on a PDF attachment, it should be opened in the browser rather than download.

TagsNo tags attached.

Relationships

related to 0022543 closedvboctor Open images in the browser rather than download them 
related to 0011952 closeddhx Arbitrary inline attachment rendering could lead to cross-domain scripting or other browser attacks 

Activities

Related Changesets

MantisBT: master aa40d4df

2017-03-25 15:10:38

vboctor

Details Diff
Open PDFs in the browser rather than downloading

Fixes 0022583
mod - file_download.php Diff File

Issue History

Date Modified Username Field Change
2017-03-25 15:10 vboctor New Issue
2017-03-25 15:10 vboctor Status new => assigned
2017-03-25 15:10 vboctor Assigned To => vboctor
2017-03-25 15:10 vboctor Relationship added related to 0022543
2017-03-25 15:13 vboctor Note Added: 0056202
2017-03-25 15:29 vboctor Relationship added related to 0011952
2017-03-28 23:28 vboctor Changeset attached => MantisBT master aa40d4df
2017-03-28 23:28 vboctor Status assigned => resolved
2017-03-28 23:28 vboctor Resolution open => fixed
2017-03-28 23:28 vboctor Fixed in Version => 2.2.3
2017-03-29 01:31 vboctor Fixed in Version 2.2.3 => 2.3.0
2017-04-01 00:13 vboctoradmin Status resolved => closed